-- Get a list of VRayBitmap nodes in the scene
bitmapNodes = getClassInstances VRayBitmap

-- Loop through the list of bitmap nodes and check if the file they should load exists on disk
selectedNodes = for node in bitmapNodes where (doesFileExist node.hdrimapname) == false collect node

-- Create an array of nodes that depend on the bitmap nodes with missing files
dependentNodes = for node in selectedNodes collect (refs.dependentnodes node)

-- Create an empty array to store all the dependent nodes
allDependentNodes = #()

-- Iterate through the dependent nodes and append them to the allDependentNodes array
for nodes in dependentNodes do
allDependentNodes += nodes

-- Select the dependent nodes
select allDependentNodes